Package org.apache.felix.gogo.api

# Interface CommandSessionListener

All Known Implementing Classes:
  `EventAdminListener`

public interface CommandSessionListener
Listener for command executions. Such listeners must be registered in the OSGi registry and will be called by the CommandProcessor when a command line is executed in a given session.

## Method Summary

Modifier and Type
Method
Description
`void`
`afterExecute(CommandSession session, CharSequence command, Exception exception)`
`void`
`afterExecute(CommandSession session, CharSequence command, Object result)`
`void`
`beforeExecute(CommandSession session, CharSequence command)`

## Method Details

### beforeExecute

void beforeExecute(CommandSession session, CharSequence command)

### afterExecute

void afterExecute(CommandSession session, CharSequence command, Exception exception)

### afterExecute

void afterExecute(CommandSession session, CharSequence command, Object result)